aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorBalint Reczey <balint@balintreczey.hu>2017-03-17 15:13:33 +0100
committerAnders Broman <a.broman58@gmail.com>2017-04-03 15:29:36 +0000
commitb215b92b6957474a4c07c1518fe7222f3f1e22c7 (patch)
tree6a573e08d33ef3e65e4fdff88c755e59a123e785 /tools
parent877b9a0d52c9b28c0169565add6f8bf6a6f3915c (diff)
Add script for generating nightly .debs with git revision
Change-Id: I5478feabd6966fa9ed46258da4815bb8ac882ec9 Reviewed-on: https://code.wireshark.org/review/20601 Reviewed-by: Peter Wu <peter@lekensteyn.nl> Reviewed-by: Anders Broman <a.broman58@gmail.com>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/debian-nightly-package.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tools/debian-nightly-package.sh b/tools/debian-nightly-package.sh
new file mode 100755
index 0000000000..b4f28403b7
--- /dev/null
+++ b/tools/debian-nightly-package.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -e
+
+if test -z $1; then
+ echo "Usage:"
+ echo " $0 <distribution>"
+ echo " e.g: $0 xenial"
+ exit 1
+fi
+
+DIST=$1
+VERSION=$(git describe --tags | sed 's/v//;s/-/~/g;s/rc/~rc/')
+rm debian/changelog || true
+EDITOR=touch dch -p --package wireshark --create --force-distribution -v${VERSION}~${DIST}1 -D $DIST
+sed -i 's/\* Initial release.*/* Nightly build for '${DIST^}'/' debian/changelog
+dpkg-buildpackage -S -d